/***************************************************************************
                          qdvbzap.h  -  description
                             -------------------
    begin                : Mon Jun 30 01:19:24 CEST 2003
    copyright            : (C) 2003 by Andre Stein
    email                : stone@steinsoft.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QDVBZAP_H
#define QDVBZAP_H

#include <qmainwindow.h>
#include "qdvbzapchannellist.h"
#include <qstatusbar.h>

/**
  * This Class is the base class of Qdvbzap. It sets up the main
  * window and coordinates all actions.
  */
class QdvbzapWindow: public QMainWindow
{
Q_OBJECT
  
public:
	/** construtor */
	QdvbzapWindow();
	/** destructor */
	~QdvbzapWindow();

protected:
	QdvbzapChannelList* channelList;
protected: // Protected methods
	/** creates layout of mainwindow */
	void createLayout();
	/** overwritten function */
	virtual void destroy(bool destroyWindow = TRUE, bool destroySubWindows = TRUE);
};
#endif

